Description

QGIS 1.8

I am distributing a project that uses custom svg symbols, hence it has a local, relative svg directory. However, even if I set the project to

use relative paths, the svg symbol paths are saved as absolute paths, meaning that we have to edit the project file manually to make them

relative.

So, if a project is set to use relative paths then ALL paths should be relative.

History

#1 - 2014-04-23 03:08 PM - Antonio Locandro

Is this behaviour still present in master?

#2 - 2014-04-23 04:10 PM - Alister Hood

Doesn't look like it to me, although I haven't tested with a custom svg path:

            <renderer-v2 symbollevels="0" type="singleSymbol">

                <symbols>

                    <symbol alpha="1" type="marker" name="0">

                        <layer pass="0" class="SvgMarker" locked="0">

                            <prop k="angle" v="0"/>

                            <prop k="fill" v="#000000"/>

                            <prop k="horizontal_anchor_point" v="1"/>

                            <prop k="name" v="wind_roses/WindRose_01.svg"/>

#3 - 2014-04-23 04:30 PM - Alister Hood

Oh, I see.  If the svg is in the QGIS install directory (on my system /usr/share/qgis/svg) or the user's directory (~/.qgis2//svg) then the path is saved as

relative.  If the svg is in the same directory as the .qgs project file (including subdirectories) then the path is saved as relative.  If the svg is somewhere else

in the filesystem then the path is saved as absolute.

So if you wanted to use a setup something like this (which seems like not a bad idea) the relative paths wouldn't work:

//server name/QGIS stuff/

//server name/QGIS stuff/Projects/

//server name/QGIS stuff/SVGS/
#4 - 2014-06-21 11:56 AM - Jürgen Fischer

- Category set to Project Loading/Saving

#5 - 2015-10-10 03:51 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce on master. Can you confirm?

#6 - 2015-12-19 04:14 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.
